OpenVDB: GridResampler::RangeProcessor< Sampler, TreeT, Transformer > Class Template Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
GridResampler::RangeProcessor< Sampler, TreeT, Transformer > Class Template Reference

`#include <openvdb/tools/GridTransformer.h>`

## Public Types
using | LeafIterT = typename TreeT::LeafCIter
using | TileIterT = typename TreeT::ValueAllCIter
using | LeafRange = typename tree::IteratorRange<LeafIterT>
using | TileRange = typename tree::IteratorRange<TileIterT>
using | InTreeAccessor = typename tree::ValueAccessor<const TreeT>
using | OutTreeAccessor = typename tree::ValueAccessor<TreeT>

## Public Member Functions
| RangeProcessor (const Transformer &xform, const CoordBBox &b, const TreeT &inT, TreeT &outT)
| RangeProcessor (const Transformer &xform, const CoordBBox &b, const TreeT &inTree)
| ~RangeProcessor ()
| RangeProcessor (RangeProcessor &other, tbb::split)
| Splitting constructor: don't copy the original processor's output tree.
void | setInterrupt (const InterruptFunc &f)
void | operator() (const LeafRange &r)
| Transform each leaf node in the given range.
void | operator() (const TileRange &r)
| Transform each non-background tile in the given range.
void | join (RangeProcessor &other)
| Merge another processor's output tree into this processor's tree.

## Member Typedef Documentation

## ◆ InTreeAccessor

template<class Sampler , class TreeT , typename Transformer >

using InTreeAccessor = typename tree::ValueAccessor<const TreeT>

## ◆ LeafIterT

template<class Sampler , class TreeT , typename Transformer >

using LeafIterT = typename TreeT::LeafCIter

## ◆ LeafRange

template<class Sampler , class TreeT , typename Transformer >

using LeafRange = typename tree::IteratorRange<LeafIterT>

## ◆ OutTreeAccessor

template<class Sampler , class TreeT , typename Transformer >

using OutTreeAccessor = typename tree::ValueAccessor<TreeT>

## ◆ TileIterT

template<class Sampler , class TreeT , typename Transformer >

using TileIterT = typename TreeT::ValueAllCIter

## ◆ TileRange

template<class Sampler , class TreeT , typename Transformer >

using TileRange = typename tree::IteratorRange<TileIterT>

## Constructor & Destructor Documentation

## ◆ RangeProcessor() [1/3]

template<class Sampler , class TreeT , typename Transformer >

RangeProcessor | ( | const Transformer & | xform,
|  | const CoordBBox & | b,
|  | const TreeT & | inT,
|  | TreeT & | outT )
| inline

## ◆ RangeProcessor() [2/3]

template<class Sampler , class TreeT , typename Transformer >

RangeProcessor | ( | const Transformer & | xform,
|  | const CoordBBox & | b,
|  | const TreeT & | inTree )
| inline

## ◆ ~RangeProcessor()

template<class Sampler , class TreeT , typename Transformer >

~RangeProcessor | ( |  | ) |
| inline

## ◆ RangeProcessor() [3/3]

template<class Sampler , class TreeT , typename Transformer >

RangeProcessor | ( | RangeProcessor< Sampler, TreeT, Transformer > & | other,
|  | tbb::split | )
| inline

Splitting constructor: don't copy the original processor's output tree.

## Member Function Documentation

## ◆ join()

template<class Sampler , class TreeT , typename Transformer >

void join | ( | RangeProcessor< Sampler, TreeT, Transformer > & | other | ) |
| inline

Merge another processor's output tree into this processor's tree.

## ◆ operator()() [1/2]

template<class Sampler , class TreeT , typename Transformer >

void operator() | ( | const LeafRange & | r | ) |
| inline

Transform each leaf node in the given range.

## ◆ operator()() [2/2]

template<class Sampler , class TreeT , typename Transformer >

void operator() | ( | const TileRange & | r | ) |
| inline

Transform each non-background tile in the given range.

## ◆ setInterrupt()

template<class Sampler , class TreeT , typename Transformer >

void setInterrupt | ( | const InterruptFunc & | f | ) |
| inline